API referenceMembers
Create Organization Invitation
Authorization
bearerAuth AuthorizationBearer <token>
Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.
In: header
Path Parameters
organization_id*stringFormat
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
email*stringFormat
emailMatch^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Length0–320role*stringValues
admin, memberDefaultmemberResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/invitations" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "role": "admin" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "email": "user@example.com", "role": "admin", "invited_by": "0fdabe0c-eb7c-440a-96d2-2c65906c3777", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "status": "pending"}